/*
 * Hello everyone, the actual coding credits goes to circuitbasics.com
 * for making this thermistor code. I only edited it so that the temperature can control LEDs.
 * Use it for any projects you need and it will be kind to subscribe my youtube channel Raebel Christo
 * for more fun projects with arduino. ENJOY.
 */

#include <math.h>

double ThermistorF(int RawADC) {
 double Temp;
 Temp = log(10000.0*((1024.0/RawADC-1))); 
 Temp = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * Temp * Temp ))* Temp );
 Temp = Temp - 273.15;          
 Temp = (Temp * 9.0)/ 5.0 + 32.0; 
 return Temp;
}

double ThermistorC(int RawADC) {
 double Temp;
 Temp = log(10000.0*((1024.0/RawADC-1))); 
 Temp = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * Temp * Temp ))* Temp );
 Temp = Temp - 273.15;          
 return Temp;
}

void setup() {
 Serial.begin(9600);
 pinMode(13,1);
 pinMode(12,1);
 pinMode(11,1);
 pinMode(10,1);
 pinMode(9,1);
}

void loop() {             
  int valF, valC;                
  double tempF, tempC;            
  valF=analogRead(0);      
  tempF=ThermistorF(valF);   
  valC=analogRead(0);      
  tempC=ThermistorC(valC); 
  
  Serial.print("Temperature = ");
  Serial.print(tempF);   
  Serial.print(" F; ");
  Serial.print(tempC);   
  Serial.println(" C");
  if(tempC<25){
    digitalWrite(13,1);
    digitalWrite(12,0);
    digitalWrite(11,0);
    digitalWrite(10,0);
    digitalWrite(9,0);
  }
  if(tempC>25){
    digitalWrite(13,1);
    digitalWrite(12,1);
    digitalWrite(11,0);
    digitalWrite(10,0);
    digitalWrite(9,0);
  }
  if(tempC>28){
    digitalWrite(13,1);
    digitalWrite(12,1);
    digitalWrite(11,1);
    digitalWrite(10,0);
    digitalWrite(9,0);
  }
  if(tempC>30){
    digitalWrite(13,1);
    digitalWrite(12,1);
    digitalWrite(11,1);
    digitalWrite(10,1);
    digitalWrite(9,0);
  }
  if(tempC>32){
    digitalWrite(13,1);
    digitalWrite(12,1);
    digitalWrite(11,1);
    digitalWrite(10,1);
    digitalWrite(9,1);
  }
  delay(1000);            
}

